package com.engine.kq.entity;

/**
 * 考勤报表明细实体类
 */
public class KQShiftRuleEntity {
  private String userId = "";
  private String kqDate = "";
  private int belatemins = 0;
  private int gravebelatemins = 0;
  private int leaveearlymins = 0;
  private int graveleaveearlymins = 0;
  private int absenteeismmins = 0;
  private int forgotcheckmins = 0;
  private int forgotBeginWorkCheckMins = 0;//上班漏签
  private int earlyInMins = 0;//早到分钟数
  private int lateOutMins = 0;//晚走分钟数

  public int getForgotBeginWorkCheckMins() {
    return forgotBeginWorkCheckMins;
  }

  public void setForgotBeginWorkCheckMins(int forgotBeginWorkCheckMins) {
    this.forgotBeginWorkCheckMins = forgotBeginWorkCheckMins;
  }

  public int getBelatemins() {
    return belatemins;
  }

  public void setBelatemins(int belatemins) {
    this.belatemins = belatemins;
  }

  public int getGravebelatemins() {
    return gravebelatemins;
  }

  public void setGravebelatemins(int gravebelatemins) {
    this.gravebelatemins = gravebelatemins;
  }

  public int getLeaveearlymins() {
    return leaveearlymins;
  }

  public void setLeaveearlymins(int leaveearlymins) {
    this.leaveearlymins = leaveearlymins;
  }

  public int getGraveleaveearlymins() {
    return graveleaveearlymins;
  }

  public void setGraveleaveearlymins(int graveleaveearlymins) {
    this.graveleaveearlymins = graveleaveearlymins;
  }

  public int getAbsenteeismmins() {
    return absenteeismmins;
  }

  public void setAbsenteeismmins(int absenteeismmins) {
    this.absenteeismmins = absenteeismmins;
  }

  public int getForgotcheckmins() {
    return forgotcheckmins;
  }

  public void setForgotcheckmins(int forgotcheckmins) {
    this.forgotcheckmins = forgotcheckmins;
  }

  public int getEarlyInMins() {
    return earlyInMins;
  }

  public void setEarlyInMins(int earlyInMins) {
    this.earlyInMins = earlyInMins;
  }

  public int getLateOutMins() {
    return lateOutMins;
  }

  public void setLateOutMins(int lateOutMins) {
    this.lateOutMins = lateOutMins;
  }

  public String getUserId() {
    return userId;
  }

  public void setUserId(String userId) {
    this.userId = userId;
  }

  public String getKqDate() {
    return kqDate;
  }

  public void setKqDate(String kqDate) {
    this.kqDate = kqDate;
  }
}
